summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure359
1 files changed, 334 insertions, 25 deletions
diff --git a/configure b/configure
index 261dd35..0be12ef 100755
--- a/configure
+++ b/configure
@@ -852,6 +852,7 @@ am__fastdepCC_TRUE
am__fastdepCC_FALSE
CPP
LN_S
+have_df
LIBTOOL
build
build_cpu
@@ -910,6 +911,12 @@ MYSQL_LDFLAGS
GSSAPI_LIBS
READLINE_LIBS
LIBOBJS
+SYSTEMBACKEND_POSIX_TRUE
+SYSTEMBACKEND_POSIX_FALSE
+SYSTEMBACKEND_PROC_TRUE
+SYSTEMBACKEND_PROC_FALSE
+USERBACKEND_MYSQL_TRUE
+USERBACKEND_MYSQL_FALSE
LTLIBOBJS
ltdl_LIBOBJS
ltdl_LTLIBOBJS'
@@ -1533,6 +1540,12 @@ Optional Packages:
--with-ltdl-lib=DIR use the libltdl.la installed in DIR
--with-mysql=[ARG] use MySQL client library [default=yes], optionally
specify path to mysql_config
+ --with-systembackend-posix
+ enable POSIX system backend [default=yes]
+ --with-systembackend-proc
+ enable /proc system backend
+ --with-userbackend-mysql
+ enable MySQL user backend [default=yes]
Some influential environment variables:
CXX C++ compiler command
@@ -4407,6 +4420,44 @@ echo "${ECHO_T}no" >&6; }
SET_MAKE="MAKE=${MAKE-make}"
fi
+# Extract the first word of "df", so it can be a program name with args.
+set dummy df; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_have_df+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ if test -n "$have_df"; then
+ ac_cv_prog_have_df="$have_df" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+ ac_cv_prog_have_df="yes"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+IFS=$as_save_IFS
+
+ test -z "$ac_cv_prog_have_df" && ac_cv_prog_have_df="no"
+fi
+fi
+have_df=$ac_cv_prog_have_df
+if test -n "$have_df"; then
+ { echo "$as_me:$LINENO: result: $have_df" >&5
+echo "${ECHO_T}$have_df" >&6; }
+else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
ORIG_LIBS=$LIBS
@@ -5179,13 +5230,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:5182: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:5233: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:5185: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:5236: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:5188: output\"" >&5)
+ (eval echo "\"\$as_me:5239: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
@@ -6285,7 +6336,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6288 "configure"' > conftest.$ac_ext
+ echo '#line 6339 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -8610,11 +8661,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8613: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8664: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8617: \$? = $ac_status" >&5
+ echo "$as_me:8668: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -8934,11 +8985,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8937: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8988: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8941: \$? = $ac_status" >&5
+ echo "$as_me:8992: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -9039,11 +9090,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9042: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9093: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9046: \$? = $ac_status" >&5
+ echo "$as_me:9097: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9094,11 +9145,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9097: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9148: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9101: \$? = $ac_status" >&5
+ echo "$as_me:9152: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11855,7 +11906,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11858 "configure"
+#line 11909 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11955,7 +12006,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11958 "configure"
+#line 12009 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13958,11 +14009,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13961: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14012: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13965: \$? = $ac_status" >&5
+ echo "$as_me:14016: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14057,11 +14108,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14060: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14111: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14064: \$? = $ac_status" >&5
+ echo "$as_me:14115: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14109,11 +14160,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14112: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14163: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14116: \$? = $ac_status" >&5
+ echo "$as_me:14167: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15992,7 +16043,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 15995 "configure"
+#line 16046 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17510,10 +17561,10 @@ fi
fi
- if test "$MYSQL_CONFIG" != "no"; then
- { echo "$as_me:$LINENO: checking for MySQL libraries" >&5
+ { echo "$as_me:$LINENO: checking for MySQL libraries" >&5
echo $ECHO_N "checking for MySQL libraries... $ECHO_C" >&6; }
+ if test "$MYSQL_CONFIG" != "no"; then
MYSQL_CFLAGS="`$MYSQL_CONFIG --cflags`"
MYSQL_LDFLAGS="`$MYSQL_CONFIG --libs`"
@@ -20020,6 +20071,236 @@ fi
done
+with_systembackend_proc=no
+
+{ echo "$as_me:$LINENO: checking for /proc/uptime" >&5
+echo $ECHO_N "checking for /proc/uptime... $ECHO_C" >&6; }
+if test "${ac_cv_file__proc_uptime+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ test "$cross_compiling" = yes &&
+ { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+ { (exit 1); exit 1; }; }
+if test -r "/proc/uptime"; then
+ ac_cv_file__proc_uptime=yes
+else
+ ac_cv_file__proc_uptime=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__proc_uptime" >&5
+echo "${ECHO_T}$ac_cv_file__proc_uptime" >&6; }
+if test $ac_cv_file__proc_uptime = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE__PROC_UPTIME 1
+_ACEOF
+
+with_systembackend_proc=yes
+fi
+{ echo "$as_me:$LINENO: checking for /proc/meminfo" >&5
+echo $ECHO_N "checking for /proc/meminfo... $ECHO_C" >&6; }
+if test "${ac_cv_file__proc_meminfo+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ test "$cross_compiling" = yes &&
+ { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+ { (exit 1); exit 1; }; }
+if test -r "/proc/meminfo"; then
+ ac_cv_file__proc_meminfo=yes
+else
+ ac_cv_file__proc_meminfo=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__proc_meminfo" >&5
+echo "${ECHO_T}$ac_cv_file__proc_meminfo" >&6; }
+if test $ac_cv_file__proc_meminfo = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE__PROC_MEMINFO 1
+_ACEOF
+
+with_systembackend_proc=yes
+fi
+{ echo "$as_me:$LINENO: checking for /proc/loadavg" >&5
+echo $ECHO_N "checking for /proc/loadavg... $ECHO_C" >&6; }
+if test "${ac_cv_file__proc_loadavg+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ test "$cross_compiling" = yes &&
+ { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
+echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
+ { (exit 1); exit 1; }; }
+if test -r "/proc/loadavg"; then
+ ac_cv_file__proc_loadavg=yes
+else
+ ac_cv_file__proc_loadavg=no
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_file__proc_loadavg" >&5
+echo "${ECHO_T}$ac_cv_file__proc_loadavg" >&6; }
+if test $ac_cv_file__proc_loadavg = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE__PROC_LOADAVG 1
+_ACEOF
+
+with_systembackend_proc=yes
+fi
+
+
+
+# Check whether --with-systembackend_posix was given.
+if test "${with_systembackend_posix+set}" = set; then
+ withval=$with_systembackend_posix;
+fi
+
+
+# Check whether --with-systembackend_proc was given.
+if test "${with_systembackend_proc+set}" = set; then
+ withval=$with_systembackend_proc;
+fi
+
+
+# Check whether --with-userbackend_mysql was given.
+if test "${with_userbackend_mysql+set}" = set; then
+ withval=$with_userbackend_mysql;
+fi
+
+
+
+for ac_func in posix_spawnp
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+ For example, HP-UX 11i <limits.h> declares gettimeofday. */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func (); below.
+ Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+ <limits.h> exists even on freestanding compilers. */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ eval "$as_ac_var=yes"
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+ { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+else
+ with_systembackend_posix=no
+fi
+done
+
+if test x"$have_df" = xno; then
+ with_systembackend_posix=no
+fi
+
+if test x"$found_mysql" = xno; then
+ with_userbackend_mysql=no
+fi
+
+
+
+ if test x"$with_systembackend_posix" != xno; then
+ SYSTEMBACKEND_POSIX_TRUE=
+ SYSTEMBACKEND_POSIX_FALSE='#'
+else
+ SYSTEMBACKEND_POSIX_TRUE='#'
+ SYSTEMBACKEND_POSIX_FALSE=
+fi
+
+ if test x"$with_systembackend_proc" != xno; then
+ SYSTEMBACKEND_PROC_TRUE=
+ SYSTEMBACKEND_PROC_FALSE='#'
+else
+ SYSTEMBACKEND_PROC_TRUE='#'
+ SYSTEMBACKEND_PROC_FALSE=
+fi
+
+ if test x"$with_userbackend_mysql" != xno; then
+ USERBACKEND_MYSQL_TRUE=
+ USERBACKEND_MYSQL_FALSE='#'
+else
+ USERBACKEND_MYSQL_TRUE='#'
+ USERBACKEND_MYSQL_FALSE=
+fi
+
+
+
ac_config_files="$ac_config_files Makefile libltdl/Makefile src/Makefile src/Client/Makefile src/Client/Requests/Makefile src/Common/Makefile src/Common/Backends/Makefile src/Common/Requests/Makefile src/Common/RequestHandlers/Makefile src/Core/Makefile src/Core/Backends/Makefile src/Core/Requests/Makefile src/Core/RequestHandlers/Makefile src/Daemon/Makefile src/Daemon/Backends/Makefile src/Daemon/Requests/Makefile src/Daemon/RequestHandlers/Makefile src/Net/Makefile src/Net/Packets/Makefile src/modules/Makefile"
@@ -20192,6 +20473,27 @@ echo "$as_me: error: conditional \"INCLUDED_LTDL\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
+if test -z "${SYSTEMBACKEND_POSIX_TRUE}" && test -z "${SYSTEMBACKEND_POSIX_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"SYSTEMBACKEND_POSIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"SYSTEMBACKEND_POSIX\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+if test -z "${SYSTEMBACKEND_PROC_TRUE}" && test -z "${SYSTEMBACKEND_PROC_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"SYSTEMBACKEND_PROC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"SYSTEMBACKEND_PROC\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+if test -z "${USERBACKEND_MYSQL_TRUE}" && test -z "${USERBACKEND_MYSQL_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"USERBACKEND_MYSQL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USERBACKEND_MYSQL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
@@ -21179,6 +21481,7 @@ am__fastdepCC_TRUE!$am__fastdepCC_TRUE$ac_delim
am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
CPP!$CPP$ac_delim
LN_S!$LN_S$ac_delim
+have_df!$have_df$ac_delim
LIBTOOL!$LIBTOOL$ac_delim
build!$build$ac_delim
build_cpu!$build_cpu$ac_delim
@@ -21189,7 +21492,6 @@ host_cpu!$host_cpu$ac_delim
host_vendor!$host_vendor$ac_delim
host_os!$host_os$ac_delim
SED!$SED$ac_delim
-GREP!$GREP$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -21231,6 +21533,7 @@ _ACEOF
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
+GREP!$GREP$ac_delim
EGREP!$EGREP$ac_delim
FGREP!$FGREP$ac_delim
LD!$LD$ac_delim
@@ -21278,12 +21581,18 @@ MYSQL_LDFLAGS!$MYSQL_LDFLAGS$ac_delim
GSSAPI_LIBS!$GSSAPI_LIBS$ac_delim
READLINE_LIBS!$READLINE_LIBS$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
+SYSTEMBACKEND_POSIX_TRUE!$SYSTEMBACKEND_POSIX_TRUE$ac_delim
+SYSTEMBACKEND_POSIX_FALSE!$SYSTEMBACKEND_POSIX_FALSE$ac_delim
+SYSTEMBACKEND_PROC_TRUE!$SYSTEMBACKEND_PROC_TRUE$ac_delim
+SYSTEMBACKEND_PROC_FALSE!$SYSTEMBACKEND_PROC_FALSE$ac_delim
+USERBACKEND_MYSQL_TRUE!$USERBACKEND_MYSQL_TRUE$ac_delim
+USERBACKEND_MYSQL_FALSE!$USERBACKEND_MYSQL_FALSE$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
ltdl_LIBOBJS!$ltdl_LIBOBJS$ac_delim
ltdl_LTLIBOBJS!$ltdl_LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 50; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5